//Source file: ActivityStateChangeListener.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * This interface is to be implemented for receiving events emitted by an
 * activity object.
 */
public interface ActivityStateChangeListener {

    /**
     * Invoked when the call object has moved to the INVALID_STATE. 
     *
     * @param  invalidActivityEvent  Reference to a Invalid Activity event emitted
     *      from the impl or activity object.
     */
    void onInvalidStateEvent(InvalidActivityEvent invalidActivityEvent);

} // ActivityStateChangeListener
