//Source file: AoCInfo.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Defines the Sequence of Data Elements that specify the Advice Of Charge information to be sent to the terminal. 
 * 
 */
public final class AoCInfo implements java.io.Serializable {

    private org.csapi.jr.se.AoCOrder chargeOrder;
    private String currency;

    /**
     * Creates a new AoCInfo instance.
     */
    public AoCInfo () {}

    /**
     * Creates a new AoCInfo instance.
     * @param _chargeOrder   Charge order
     * @param _currency   Currency unit according to ISO 4217: 1995
     */
    public AoCInfo (org.csapi.jr.se.AoCOrder _chargeOrder, String _currency) {

        this.chargeOrder = _chargeOrder;
        this.currency = _currency;
    }

    /**
     * This method returns a chargeOrder.
     * 
     * @return a org.csapi.jr.se.AoCOrder value
     */
    public org.csapi.jr.se.AoCOrder getChargeOrder() {
        return chargeOrder;
    }

    /**
     * This method returns a currency.
     * 
     * @return a String value
     */
    public String getCurrency() {
        return currency;
    }


    /**
     * This method sets a chargeOrder.
     */ 
    public void setChargeOrder(org.csapi.jr.se.AoCOrder chargeOrder) {
        this.chargeOrder = chargeOrder;
    }

    /**
     * This method sets a currency.
     */ 
    public void setCurrency(String currency) {
        this.currency = currency;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof AoCInfo)) {
            return false;
        } 
        AoCInfo aoCInfo = (AoCInfo) o;
        if ((this.chargeOrder != null) && (aoCInfo.chargeOrder != null)) {
            if(!(this.chargeOrder.equals(aoCInfo.chargeOrder))) {
                return false;
            }
        }
        if ((this.currency != null) && (aoCInfo.currency != null)) {
            if(!(this.currency.equals(aoCInfo.currency)))  {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // AoCInfo

