//Source file: AoCOrder.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Defines the Tagged Choice of Data Elements that specify the charge plan for the call.
 *
 */
public final class AoCOrder implements java.io.Serializable {

    private CallAoCOrderCategory _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new AoCOrder.
     * Tagged choice of data elements always have empty constructors
     */ 
    public AoCOrder() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a CallAoCOrderCategory value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public CallAoCOrderCategory getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a ChargeAdviceInfo
     * 
     * @return  a org.csapi.jr.se.ChargeAdviceInfo value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.ChargeAdviceInfo getChargeAdviceInfo() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != CallAoCOrderCategory.CHARGE_ADVICE_INFO) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.ChargeAdviceInfo) _object);
    }

    /**
     * This method sets a ChargeAdviceInfo
     * 
     * @param value a org.csapi.jr.se.ChargeAdviceInfo value
     */
    public void setChargeAdviceInfo(org.csapi.jr.se.ChargeAdviceInfo value) {
        _discriminator = CallAoCOrderCategory.CHARGE_ADVICE_INFO;
        _object = value;
    }

    /**
     * This method returns a ChargePerTime
     * 
     * @return  a org.csapi.jr.se.ChargePerTime value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.ChargePerTime getChargePerTime() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != CallAoCOrderCategory.CHARGE_PER_TIME) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.ChargePerTime) _object);
    }

    /**
     * This method sets a ChargePerTime
     * 
     * @param value a org.csapi.jr.se.ChargePerTime value
     */
    public void setChargePerTime(org.csapi.jr.se.ChargePerTime value) {
        _discriminator = CallAoCOrderCategory.CHARGE_PER_TIME;
        _object = value;
    }

    /**
     * This method returns a NetworkCharge
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getNetworkCharge() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != CallAoCOrderCategory.CHARGE_NETWORK) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a NetworkCharge
     * 
     * @param value a java.lang.String value
     */
    public void setNetworkCharge(java.lang.String value) {
        _discriminator = CallAoCOrderCategory.CHARGE_NETWORK;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a CallAoCOrderCategory value 
     */ 
    public void setUndefined(CallAoCOrderCategory discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof AoCOrder)) {
            return false;
        } else {
            AoCOrder aoCOrder= (AoCOrder)o;
            if(!(this._object.equals(aoCOrder._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(aoCOrder._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // AoCOrder

