//Source file: ApplicationNotActivatedException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * An application is unauthorised to access information and request services with regards to users that have deactivated that particular application.
In case the request was for information related to multiple user identities the reference to user identities that are causing this exception will be returned in the extra information of the exception.
 *
 */
public class ApplicationNotActivatedException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public ApplicationNotActivatedException() {
        super(); 
    }

    public ApplicationNotActivatedException(String message) {
        super(message); 
    }

    public ApplicationNotActivatedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public ApplicationNotActivatedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // ApplicationNotActivatedException

