//Source file: Attribute.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * This is a Sequence of Data Elements containing the attribute name and value. 
 * 
 */
public final class Attribute implements java.io.Serializable {

    private String attributeName;
    private org.csapi.jr.se.AttributeValue attributeValue;

    /**
     * Creates a new Attribute instance.
     */
    public Attribute () {}

    /**
     * Creates a new Attribute instance.
     * @param _attributeName   The name of the attribute.
     * @param _attributeValue   The typed value(s) for the attribute. 
     */
    public Attribute (String _attributeName, org.csapi.jr.se.AttributeValue _attributeValue) {

        this.attributeName = _attributeName;
        this.attributeValue = _attributeValue;
    }

    /**
     * This method returns a attributeName.
     * 
     * @return a String value
     */
    public String getAttributeName() {
        return attributeName;
    }

    /**
     * This method returns a attributeValue.
     * 
     * @return a org.csapi.jr.se.AttributeValue value
     */
    public org.csapi.jr.se.AttributeValue getAttributeValue() {
        return attributeValue;
    }


    /**
     * This method sets a attributeName.
     */ 
    public void setAttributeName(String attributeName) {
        this.attributeName = attributeName;
    }

    /**
     * This method sets a attributeValue.
     */ 
    public void setAttributeValue(org.csapi.jr.se.AttributeValue attributeValue) {
        this.attributeValue = attributeValue;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof Attribute)) {
            return false;
        } 
        Attribute attribute = (Attribute) o;
        if ((this.attributeName != null) && (attribute.attributeName != null)) {
            if(!(this.attributeName.equals(attribute.attributeName)))  {
                return false;
            }
        }
        if ((this.attributeValue != null) && (attribute.attributeValue != null)) {
            if(!(this.attributeValue.equals(attribute.attributeValue))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // Attribute

