//Source file: CommonException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * The exception class which associated exceptions inherit from
 */
public class CommonException extends java.lang.Exception {

    private Throwable _cause = null;
    private int _exceptionType;
    private String _extraInformation;

    public CommonException() {
        super(); 
    }

    public CommonException(String message) {
        super(message); 
    }

    public CommonException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public CommonException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

    public int getExceptionType() {
        return _exceptionType;
    } 

    public void setExceptionType(int exceptionType) {
        _exceptionType = exceptionType;
    } 

    public String getExtraInformation() {
        return _extraInformation;
    } 

    public void setExtraInformation(String extraInformation) {
        _extraInformation = extraInformation;
    } 

} // CommonException

