//Source file: Constants.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se
 *
 */
public interface Constants {

    /**
     * The method is not allowed or supported within the context of the current service agreement.
     */
    public static final int METHOD_NOT_SUPPORTED = 22;

    /**
     * The requested method is refused because no callback address has been set (this may be the result of a timing issue between setting the callback address and invoking the method).
     */
    public static final int NO_CALLBACK_ADDRESS_SET = 17;

    /**
     * The required resources in the network are not available.
     */
    public static final int RESOURCES_UNAVAILABLE = 13;

    /**
     * The requested method has been cancelled.
     */
    public static final int TASK_CANCELLED = 15;

    /**
     * The requested method has been refused.
     */
    public static final int TASK_REFUSED = 14;

    /**
     * Unexpected sequence of methods, that is the sequence does not match the specified state diagrams.
     */
    public static final int INVALID_STATE = 744;

} // org.csapi.jr.se.Constants
