//Source file: IllegalStateException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Signals that a method has been invoked at an illegal or inappropriate time
 */
public class IllegalStateException extends java.lang.Exception {

    private int _state;
    private java.lang.Object _object;

    public IllegalStateException(Object object, int state) {
        super(); 
        _object = object;
        _state  = state;
    }

    public IllegalStateException(Object object, int state, String s) {
        super(s); 
        _object = object;
        _state  = state;
    }

    public Object getObject() {
        return _object;
    } 

    public int getState() {
        return _state;
    } 

} // IllegalStateException
