//Source file: InformationNotAvailableException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * The requested information is not available. A reason might be that the information is unavailable in the core network or that the application is unauthorised to access the information. In case the request was for information related to multiple user identities, the reference to user identities that are causing this exception will be returned in the extra information of the exception.
 *
 */
public class InformationNotAvailableException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public InformationNotAvailableException() {
        super(); 
    }

    public InformationNotAvailableException(String message) {
        super(message); 
    }

    public InformationNotAvailableException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InformationNotAvailableException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InformationNotAvailableException

