//Source file: InvalidNetworkStateException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Although the sequence of method calls is allowed by the gateway, the underlying protocol cannot support it.
For example, in some protocols some methods are only allowed by the protocol, when the call processing is suspended, for example, after reporting an event that was monitored in interrupt mode.
 *
 */
public class InvalidNetworkStateException extends org.csapi.jr.se.InvalidStateException {

    private Throwable _cause = null;

    public InvalidNetworkStateException() {
        super(); 
    }

    public InvalidNetworkStateException(String message) {
        super(message); 
    }

    public InvalidNetworkStateException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidNetworkStateException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidNetworkStateException

