//Source file: Service.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * All service interfaces inherit from the following interface.
 */
public interface Service extends org.csapi.jr.se.CsapiInterface{

   /**
    *  This constant represents the IN_SERVICE_STATE state.
    */
   public final static int IN_SERVICE_STATE = 0;

   /**
    *  This constant represents the OUT_OF_SERVICE_STATE state.
    */
   public final static int OUT_OF_SERVICE_STATE = 1;

   /**
    * Add an object to the list of objects that are listening for events regarding the Service State
    *
    * @param listener Object implementing ServiceStateChangeListener interface.
    */
   void addServiceStateChangeListener(ServiceStateChangeListener listener);

   /**
    * Returns the service state the object is in.
    *
    * @return One of OUT_OF_SERVICE_STATE, IN_SERVICE_STATE
    */
   int getServiceState();

    /**
     * Removes an object to the list of objects that are listening for events regarding the Service State
     *
     * @param listener Object implementing ServiceStateChangeListener interface.
     */
   void removeServiceStateChangeListener(ServiceStateChangeListener listener);

} // Service
