//Source file: ServiceStateChangeListener.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * This interface is to be implemented for receiving events emitted by a
 * service object.
 */
public interface ServiceStateChangeListener extends java.util.EventListener {
    
    /**
     * Invoked when the call object has moved to the OUT_OF_SERVICE_STATE. 
     *
     * @param  outOfServiceEvent  Reference to a Out Of Service Event event emitted
     *      from the impl or activity object.
     */
    void onOutOfServiceEvent(OutOfServiceEvent outOfServiceEvent);


}
