//Source file: TimeInterval.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Defines the Sequence of Data Elements that specify a time interval.
 * 
 */
public final class TimeInterval implements java.io.Serializable {

    private String startTime;
    private String stopTime;

    /**
     * Creates a new TimeInterval instance.
     */
    public TimeInterval () {}

    /**
     * Creates a new TimeInterval instance.
     * @param _startTime   
     * @param _stopTime   
     */
    public TimeInterval (String _startTime, String _stopTime) {

        this.startTime = _startTime;
        this.stopTime = _stopTime;
    }

    /**
     * This method returns a startTime.
     * 
     * @return a String value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * This method returns a stopTime.
     * 
     * @return a String value
     */
    public String getStopTime() {
        return stopTime;
    }


    /**
     * This method sets a startTime.
     */ 
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * This method sets a stopTime.
     */ 
    public void setStopTime(String stopTime) {
        this.stopTime = stopTime;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof TimeInterval)) {
            return false;
        } 
        TimeInterval timeInterval = (TimeInterval) o;
        if(!(this.startTime == timeInterval.startTime))  {
            return false;
        }
        if(!(this.stopTime == timeInterval.stopTime))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // TimeInterval

