//Source file: UnknownSubscriberException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * The subscriber is not known in the network or the application is unauthorised to access information.
In case the request was for information related to multiple user identities, the reference to user identities that are causing this exception will be returned in the extra information of the exception.
 *
 */
public class UnknownSubscriberException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public UnknownSubscriberException() {
        super(); 
    }

    public UnknownSubscriberException(String message) {
        super(message); 
    }

    public UnknownSubscriberException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnknownSubscriberException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnknownSubscriberException

